## python-monasca-statsd 1.5.0

=== debian/changelog ===
python-monasca-statsd (1.5.0-1) unstable; urgency=medium

  * Initial release.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 21 Nov 2017 13:01:07 +0100

## python-monasca-statsd 1.9.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
six>=1.10.0 # MIT

## python-monasca-statsd 1.7.0

=== debian/changelog ===
python-monasca-statsd (1.7.0-1) unstable; urgency=medium

  * Initial release. (Closes: #878750)

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Oct 2017 14:48:04 +0200

=== debian/control ===
Source: python-monasca-statsd
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-coverage,
 python-hacking,
 python-mock,
 python-os-testr (>= 0.8.0),
 python-oslotest (>= 1.10.0),
 python-six,
 python3-mock,
 python3-os-testr (>= 0.8.0),
 python3-oslotest (>= 1.10.0),
 python3-six,
 testrepository,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-monasca-statsd.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-monasca-statsd.git
Homepage: https://github.com/openstack/monasca-statsd

Package: python-monasca-statsd
Architecture: all
Depends:
 python-six,
 ${misc:Depends},
 ${python:Depends},
Description: monasca statsd API client - Python 2.7
 Monasca is a highly scalable, performant, fault-tolerant
 monitoring-as-a-service solution that integrates with OpenStack. It uses a
 REST API for high-speed metrics processing and querying and has a streaming
 alarm engine and notification engine.
 .
 This Python module provides a client to connect to Monasca's statsd REST API.
 With this client, you can handle counters, gauge, get histograms, timers and
 more.
 .
 This package contains the Python 2.7 module.

Package: python3-monasca-statsd
Architecture: all
Depends:
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: monasca statsd client - Python 3.x
 Monasca is a highly scalable, performant, fault-tolerant
 monitoring-as-a-service solution that integrates with OpenStack. It uses a
 REST API for high-speed metrics processing and querying and has a streaming
 alarm engine and notification engine.
 .
 This Python module provides a client to connect to Monasca's statsd REST API.
 With this client, you can handle counters, gauge, get histograms, timers and
 more.
 .
 This package contains the Python 3.x module.

## python-monasca-statsd 1.9.0

=== debian/changelog ===
python-monasca-statsd (1.9.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 15:29:22 -0500

python-monasca-statsd (1.8.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Nov 2017 14:31:24 -0500

python-monasca-statsd (1.7.0-1ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/gbp.conf: Retain git-buildpackage config, including use of pristine-tar.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 Oct 2017 10:00:25 -0400

monasca-statsd (1.7.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 09:24:39 -0400

monasca-statsd (1.5.0-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 24 Jan 2017 15:00:14 -0500

monasca-statsd (1.4.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Fix up debian-branch and pristine-tar settings.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Add PBR_VERSION to set correct distro version for package build.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Dec 2016 11:31:39 -0500

monasca-statsd (1.2.0-0ubuntu1) xenial; urgency=medium

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 19 Oct 2016 08:54:29 -0400

=== debian/control ===
--- 
+++ 
@@ -10,21 +10,31 @@
  openstack-pkg-tools,
  python-all,
  python-setuptools,
+ python-sphinx (>= 1.6.2),
  python3-all,
  python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python-coverage,
- python-hacking,
- python-mock,
- python-os-testr (>= 0.8.0),
- python-oslotest (>= 1.10.0),
- python-six,
- python3-mock,
- python3-os-testr (>= 0.8.0),
- python3-oslotest (>= 1.10.0),
- python3-six,
+ python-coverage (>= 4.0),
+ python-hacking (>= 0.12.0),
+ python-mock (>= 2.0.0),
+ python-openstackdocstheme (>= 1.17.0),
+ python-os-testr (>= 1.0.0),
+ python-oslosphinx (>= 4.7.0),
+ python-oslotest (>= 1:1.10.0),
+ python-six (>= 1.10.0),
+ python-testrepository (>= 0.0.18),
+ python3-coverage (>= 4.0),
+ python3-hacking (>= 0.12.0),
+ python3-mock (>= 2.0.0),
+ python3-openstackdocstheme (>= 1.17.0),
+ python3-os-testr (>= 1.0.0),
+ python3-oslosphinx (>= 4.7.0),
+ python3-oslotest (>= 1:1.10.0),
+ python3-six (>= 1.10.0),
+ python3-testrepository (>= 0.0.18),
  testrepository,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-monasca-statsd.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-monasca-statsd.git
 Homepage: https://github.com/openstack/monasca-statsd
@@ -32,7 +42,7 @@
 Package: python-monasca-statsd
 Architecture: all
 Depends:
- python-six,
+ python-six (>= 1.10.0),
  ${misc:Depends},
  ${python:Depends},
 Description: monasca statsd API client - Python 2.7
@@ -50,7 +60,7 @@
 Package: python3-monasca-statsd
 Architecture: all
 Depends:
- python3-six,
+ python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: monasca statsd client - Python 3.x

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/monasca-statsd.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-monasca-statsd 1.10.1

=== debian/changelog ===
python-monasca-statsd (1.10.1-0ubuntu2) eoan; urgency=medium

  * Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 05 Sep 2019 21:49:27 -0700

python-monasca-statsd (1.10.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 14:03:52 -0500

=== debian/control ===
Source: python-monasca-statsd
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 1.6.5),
Build-Depends-Indep:
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-hacking (>= 0.12.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-testr (>= 1.0.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-monasca-statsd.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-monasca-statsd.git
Homepage: https://github.com/openstack/monasca-statsd

Package: python3-monasca-statsd
Architecture: all
Depends:
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: monasca statsd client - Python 3.x
 Monasca is a highly scalable, performant, fault-tolerant
 monitoring-as-a-service solution that integrates with OpenStack. It uses a
 REST API for high-speed metrics processing and querying and has a streaming
 alarm engine and notification engine.
 .
 This Python module provides a client to connect to Monasca's statsd REST API.
 With this client, you can handle counters, gauge, get histograms, timers and
 more.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,14 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3
+	dh $@ --buildsystem=python_distutils --with python3
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test
+	pkgos-dh_auto_test --no-py2
 endif
 
 override_dh_clean:

## python-monasca-statsd 1.11.0

=== debian/changelog ===
python-monasca-statsd (1.11.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 21:38:30 +0200

python-monasca-statsd (1.11.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 09:57:23 +0100

python-monasca-statsd (1.7.0-1) experimental; urgency=medium

  * Initial release. (Closes: #878750)

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Oct 2017 14:48:04 +0200

=== debian/control ===
Source: python-monasca-statsd
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-mock,
 python3-oslotest,
 python3-six,
 python3-stestr,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-monasca-statsd
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-monasca-statsd.git
Homepage: https://github.com/openstack/monasca-statsd

Package: python3-monasca-statsd
Architecture: all
Depends:
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: monasca statsd client - Python 3.x
 Monasca is a highly scalable, performant, fault-tolerant
 monitoring-as-a-service solution that integrates with OpenStack. It uses a
 REST API for high-speed metrics processing and querying and has a streaming
 alarm engine and notification engine.
 .
 This Python module provides a client to connect to Monasca's statsd REST API.
 With this client, you can handle counters, gauge, get histograms, timers and
 more.
 .
 This package contains the Python 3.x module.

## python-monasca-statsd 2.1.0

=== debian/changelog ===
python-monasca-statsd (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 16:45:51 +0200

python-monasca-statsd (2.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed python3-mock from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2020 09:18:39 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -13,11 +13,10 @@
 Build-Depends-Indep:
  python3-coverage,
  python3-hacking,
- python3-mock,
  python3-oslotest,
  python3-six,
  python3-stestr,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-monasca-statsd
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-monasca-statsd.git
 Homepage: https://github.com/openstack/monasca-statsd

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/monasca-statsd.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/monasca-statsd/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-monasca-statsd 2.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
six>=1.12.0 # MIT

=== debian/changelog ===
python-monasca-statsd (2.2.0-1~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 28 Jul 2025 08:36:14 +0000

python-monasca-statsd (2.2.0-1) unstable; urgency=medium

  * d/copyright: Add me to copyright file
  * d/control: Add me to uploaders field
  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 20 Aug 2021 12:29:29 +0200

## python-monasca-statsd 2.3.0

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.5 # BSD
oslosphinx>=4.7.0 # Apache-2.0
openstackdocstheme>=1.18.1 # Apache-2.0

=== debian/changelog ===
python-monasca-statsd (2.3.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 16 Nov 2021 07:30:31 +0000

python-monasca-statsd (2.2.0-0ubuntu2) impish; urgency=medium

  * d/t/autopkgtest-pkg-python.conf: Add explicit import_name for
    autopkgtests.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 02 Jul 2021 07:05:59 +0000

python-monasca-statsd (2.2.0-0ubuntu1) impish; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 07 Jun 2021 13:24:01 +0000

python-monasca-statsd (2.1.0-0ubuntu1) groovy; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Jul 2020 16:39:30 -0400

=== debian/control ===
Source: python-monasca-statsd
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 1.6.5),
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-mock,
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-six (>= 1.12.0),
 python3-stestr (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-monasca-statsd
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-monasca-statsd
Homepage: https://opendev.org/openstack/monasca-statsd

Package: python3-monasca-statsd
Architecture: all
Depends:
 python3-six (>= 1.12.0),
 ${misc:Depends},
 ${python3:Depends},
Description: monasca statsd client - Python 3.x
 Monasca is a highly scalable, performant, fault-tolerant
 monitoring-as-a-service solution that integrates with OpenStack. It uses a
 REST API for high-speed metrics processing and querying and has a streaming
 alarm engine and notification engine.
 .
 This Python module provides a client to connect to Monasca's statsd REST API.
 With this client, you can handle counters, gauge, get histograms, timers and
 more.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT := https://github.com/openstack/monasca-statsd.git
+export PYBUILD_NAME=monascastatsd
+
+UPSTREAM_GIT := https://opendev.org/openstack/monasca-statsd.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	rm -rf build

## python-monasca-statsd 2.4.0

=== debian/changelog ===
python-monasca-statsd (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 14:16:04 +0200

python-monasca-statsd (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Feb 2022 15:55:03 +0100

## python-monasca-statsd 2.5.0

=== debian/changelog ===
python-monasca-statsd (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 10:00:23 +0200

python-monasca-statsd (2.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 11:42:54 +0200

=== debian/control ===
Source: python-monasca-statsd
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-oslotest,
 python3-six,
 python3-stestr,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-monasca-statsd
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-monasca-statsd.git
Homepage: https://github.com/openstack/monasca-statsd

Package: python3-monasca-statsd
Architecture: all
Depends:
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: monasca statsd client - Python 3.x
 Monasca is a highly scalable, performant, fault-tolerant
 monitoring-as-a-service solution that integrates with OpenStack. It uses a
 REST API for high-speed metrics processing and querying and has a streaming
 alarm engine and notification engine.
 .
 This Python module provides a client to connect to Monasca's statsd REST API.
 With this client, you can handle counters, gauge, get histograms, timers and
 more.
 .
 This package contains the Python 3.x module.

## python-monasca-statsd 2.6.0

=== debian/changelog ===
python-monasca-statsd (2.6.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1049042).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 13:57:23 +0200

python-monasca-statsd (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 10:48:46 +0200

python-monasca-statsd (2.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Mar 2023 10:25:45 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/monasca-statsd.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

## python-monasca-statsd 2.7.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
six>=1.12.0 # MIT

=== debian/changelog ===
python-monasca-statsd (2.7.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * d/control, d/t/autopkgtest-pkg-python.conf: Add autopkgtest-pkg-python
    testsuite.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Sep 2023 15:52:05 -0400

python-monasca-statsd (2.6.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:06:44 -0400

python-monasca-statsd (2.5.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 18:17:07 -0400

python-monasca-statsd (2.4.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 14:47:51 -0400

=== debian/control ===
Source: python-monasca-statsd
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 1.6.5),
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-mock,
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-six (>= 1.12.0),
 python3-stestr (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-monasca-statsd
Homepage: https://opendev.org/openstack/monasca-statsd
Testsuite: autopkgtest-pkg-python

Package: python3-monasca-statsd
Architecture: all
Depends:
 python3-six (>= 1.12.0),
 ${misc:Depends},
 ${python3:Depends},
Description: monasca statsd client - Python 3.x
 Monasca is a highly scalable, performant, fault-tolerant
 monitoring-as-a-service solution that integrates with OpenStack. It uses a
 REST API for high-speed metrics processing and querying and has a streaming
 alarm engine and notification engine.
 .
 This Python module provides a client to connect to Monasca's statsd REST API.
 With this client, you can handle counters, gauge, get histograms, timers and
 more.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/monasca-statsd/monasca-statsd-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
